#ifndef _CEDITGUI_H_
#define _CEDITGUI_H_

#include "../App/EngineH.h"
#include "../GUI/CLabelGUI.h"

/*
 *	V contruktoru se zadava jmeno objektu, rect, text v editboxu a data na font
 */

class C_EDIT_0 : public C_LABEL_0
{
private :
	//TRect _rect;
	int						_citac;
	unsigned int			_radku;
	unsigned int			_max_char;
	std::string				_text;
	void					_UpravText();
	void					_DrawCursor();

public :
	C_EDIT_0(std::string name, TRect rect, std::string text, font_data fd);
	~C_EDIT_0();
	
public :
	virtual void			Render(bool focus);
	virtual void			Keyboard(bool keys[255]);
	virtual void			MouseClick(int button,int x,int y);
	virtual void			MouseMove(int x,int y) {};
	std::string				GetString() const { return _text;}
};


#endif // _CEDITGUI_H_